Subject: Re: [DNSOP] New Version Notification for draft-sury-deprecate-obsolete-resource-records-00.txt

From: Ondřej Surý <[email-masked]>
Date: Thu, 3 May 2018 09:41:03 +0200

> On 26 Mar 2018, at 16:47, Jim Reid <[email-masked]> wrote:
> 
> On 24 Mar 2018, at 20:20, Ondřej Surý <[email-masked]> wrote:
>> 
>>> It might be a different story if one of those zombie RRtypes required additional processing. None spring to mind though.
>> 
>> But (most of) those I picked actually *DO*:
>> 
>> a) compression is allowed, so compliant and non-compliant servers can’t speak together, because non-compliant will just store junk in the RDATA when received from compliant server;
>> b) the RDATA needs to be understood and lowercased for canonical form when DNSSEC signing; again you need to *implement* this in DNSSEC Validator as it would cause validation failures if you don't
> 
> Fair enough Ondřej. Though I suspect the number of servers that sign or validate MAILA records  (or whatever) can be counted on the number of ears on one hand. :-)

On a sunny day, while casually strolling the BIND source code, I found this:

        case dns_rdatatype_maila:
        case dns_rdatatype_mailb:
                query_error(client, DNS_R_NOTIMP, __LINE__);
                return;

So, again, making this _official_ and actually obsolete types that even BIND doesn’t implement, somehow still makes sense to me.

Ondrej
--
Ondřej Surý
[email-masked]